import React from 'react';
import { ResponsiveContainerProps } from './ResponsiveContainer';
interface ResponsiveWindowContainerProps extends ResponsiveContainerProps {
    /**
     * A React ref object that points to the element used to attach scroll listener. defaults to window
     */
    scrollRef?: React.MutableRefObject<any>;
}
export default function ResponsiveWindowContainer(props: ResponsiveWindowContainerProps): JSX.Element;
export {};
